### Name: delaunayn
### Title: Delaunay triangulation in N-dimensions
### Aliases: delaunayn
### Keywords: math dplot graphs

### ** Examples

# example delaunayn
d = c(-1,1)
pc = as.matrix(rbind(expand.grid(d,d,d),0))
tc = delaunayn(pc)

# example tetramesh
## Not run: 
##D library(rgl)
##D rgl.viewpoint(60)
##D rgl.light(120,60)
##D tetramesh(tc,pc, alpha=0.9)
## End(Not run)

# example surf.tri
# ==> see also convhulln, but it currently prints an unavoidable
#     message to the console
ps = matrix(rnorm(3000),ncol=3)        # generate poinst on a sphere
ps = sqrt(3) * ps / drop(sqrt((ps^2) %*%rep(1,3)))
ts = delaunayn(ps)
ts.surf = t( surf.tri(ps,ts) )
## Not run: 
##D rgl.triangles(ps[ts.surf,1], ps[ts.surf,2] ,ps[ts.surf,3],
##D               col="blue", alpha=.2)
##D for(i in 1:(8*360)) rgl.viewpoint(i/8)
## End(Not run)



